Raspberry Pi Device Type & BerryIO

devicetype

(Nicholas Wilde) #1

Continuing the discussion from Raspberry Pi Device Type:

As an alternative to WebIOPi, I’ve forked @steve_ledridge 's BerryIO and modified his device type for it.

Credits:

Installation Instructions:


[RELEASE] Raspberry Pi Relay Controller (WebIOPi)
Making hub think raspberry pi is device
(Craig) #2

Hi, Just wanted to ask if the instructions cover absolutely everything that I need to do, there is little information on the BerryIO install, i noticed that there is bits and bobs in the other post mixed up within the other method, I have a Pi2 Model B so opted for BerryIO from the offset, followed the instructions step by step 3 times and still only getting grey tiles, I keep reading of things relating to API links etc but the two systems seems to have moulded into one.

I followed the instructions to the book and this is what I am getting in the log. any help would be great. Cheers.

c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: error groovy.json.JsonException: Lexing failed on line: 1, column: 1, while reading ‘E’, no possible valid JSON value or punctuation could be recognized. @ line 138
c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: debug body: ERROR: Unknown Command
c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: debug descMap: [index:17, mac:B827EBF03244, ip:C0A80002, port:0050, requestId:985084ed-0b55-49c5-831c-d67cd4a3e572, headers:SFRUUC8xLjEgMjAwIE9LDQpEYXRlOiBNb24sIDA3IE1hciAyMDE2IDIwOjQ1OjE0IEdNVA0KU2VydmVyOiBBcGFjaGUvMi40LjEwIChSYXNwYmlhbikNCkNvbnRlbnQtTGVuZ3RoOiAyMw0KQ29udGVudC1UeXBlOiB0ZXh0L2h0bWw7IGNoYXJzZXQ9VVRGLTg=, body:RVJST1I6IFVua25vd24gQ29tbWFuZAo=]
c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: error groovy.json.JsonException: Lexing failed on line: 1, column: 1, while reading ‘E’, no possible valid JSON value or punctuation could be recognized. @ line 138
c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: debug body: ERROR: Unknown Command
c4245796-748f-4696-890c-e8fc167684ea 8:45:15 PM: debug descMap: [index:17, mac:B827EBF03244, ip:C0A80002, port:0050, requestId:985084ed-0b55-49c5-831c-d67cd4a3e572, headers:SFRUUC8xLjEgMjAwIE9LDQpEYXRlOiBNb24sIDA3IE1hciAyMDE2IDIwOjQ1OjE0IEdNVA0KU2VydmVyOiBBcGFjaGUvMi40LjEwIChSYXNwYmlhbikNCkNvbnRlbnQtTGVuZ3RoOiAyMw0KQ29udGVudC1UeXBlOiB0ZXh0L2h0bWw7IGNoYXJzZXQ9VVRGLTg=, body:RVJST1I6IFVua25vd24gQ29tbWFuZAo=]
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: error groovy.json.JsonException: Lexing failed on line: 1, column: 1, while reading ‘E’, no possible valid JSON value or punctuation could be recognized. @ line 138
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug body: ERROR: Unknown Command
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug descMap: [index:17, mac:B827EBF03244, ip:C0A80002, port:0050, requestId:985084ed-0b55-49c5-831c-d67cd4a3e572, headers:SFRUUC8xLjEgMjAwIE9LDQpEYXRlOiBNb24sIDA3IE1hciAyMDE2IDIwOjQ1OjE0IEdNVA0KU2VydmVyOiBBcGFjaGUvMi40LjEwIChSYXNwYmlhbikNCkNvbnRlbnQtTGVuZ3RoOiAyMw0KQ29udGVudC1UeXBlOiB0ZXh0L2h0bWw7IGNoYXJzZXQ9VVRGLTg=, body:RVJST1I6IFVua25vd24gQ29tbWFuZAo=]
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug Executing hubAction on 192.168.0.2:80
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug Getting headers
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug Encoding credentials
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug Device Network Id set to c0a80002:0050
c4245796-748f-4696-890c-e8fc167684ea 8:45:14 PM: debug Executing ‘refresh’


#3

does this work with hub v2 and raspberry pi 3?


#4

Yes… Follow the instruction here


#5

for the IP address, that’s the local IP address of the RPi, correct?


#6

yes it is… Port is 80


#7

i assume the restart function just sends ‘sudo restart’ over to the pi?


(Bill) #8

I have it all configured correct but it shows pi is off and will not show temperatures or let me control gpio.
I know it connects because the reboot button works.
Raspberry pi B with Smart hub 2 Firmware 000.014.00038
Any help would be appreciated.


#9

I had the same problem and was just about to give up when I found some very helpful posters with this thread.


#10

I am really confused here. I cannot seem to get past the
Enabling the BerryIO site configuration…
ERROR: Site default does not exist!
Install failed!

Can anyone help me get past this error? I have tried so many things, including changing the berry to have .conf

I am using a pi3


#11

Yup… Been there done that… Read this thread starting from my post on this same problem


#12

I read all of your post but I didn’t gather enough detail to know exactly what you did to fix it. You mention installing from a different source but i don’t see where that is. Also tried all the things I could from the thread like renaming berryio to berry.conf but all for it to still fail at the same place every time


#13

Its been a while and my old man memory often fails me however… I do recall editing the install script. I removed the line pertaining to “Default” site.

Look in the berryio install.sh and find the lines

echo -e "\nEnabling the BerryIO site configuration...."
a2ensite berryio || { echo -e "Install failed!" 1>&2; exit 1; }

Below the last line above and just before

echo -e "\nRestarting Apache...."
service apache2 restart || { echo -e "Install failed!" 1>&2; exit 1; }

There is a line that will attempt to install default. I removed it and then re-ran the script. Voila…
Worked for me :slight_smile:


#14

When the script referenced within this thread failed (install failed error) I googled Berryio install. Found a script and ran it. The only thing that accomplished was that Berryio now worked. The ST device type did not. That is when I started to trace where the error was occurring and modified the (berryio install.sh) script accordingly. I got it working because I am a friggen genius. Ok… friggen lucky then :wink:


(Brad Sileo) #15

Has anyone done any further work on the GPIO integration with this. The comments imply that it will support turning the GPIO but it looks like that work may not be finished. I am going to take a crack at it but wanted to check if anyone else had already made progress on this?


#16

Have you made any progress on this? I am stuck where my parse() method is not being called…


(Ahmed ElSerafy) #17

Any idea how to change temperature to Celcius instead of F?


(Ahmed ElSerafy) #18

After many re-installs, the app only shows blank buttons and only restarts the rbp,

can anyone help?


(thedesp) #19

Same problem here.
I tried to modify the code to show temperature in Celsius and add the RPi device again.
Nothing show up in the app or device states in IDE.


#20

Unable to save settings after setting up the device. I fill in all the fields that are there but it says that “all fields are required” and doesn’t allow me to save my changes. Completely useless device for ST.